Errors in GUI, 2.0.1 ALIX



  • When adding ipsec client :

    Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /etc/inc/system.inc:2) in /usr/local/www/csrf/csrf-magic.php on line 320 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 47 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 48 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 49 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 50 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 51 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/vpn_ipsec_mobile.php on line 215

    Under System information :

    Version 2.0.1-RELEASE (i386)
    built on Mon Dec 12 18:24:17 EST 2011
    FreeBSD 8.1-RELEASE-p6
    Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /etc/inc/system.inc:2) in /etc/inc/auth.inc on line 1254 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 47 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 48 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 49 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 50 Warning: Cannot modify header information - headers already sent by (output started at /etc/inc/system.inc:2) in /usr/local/www/guiconfig.inc on line 51
    You are on the latest version.

    Any clue how to get rid of it ? How to fix it ?
    It's fresh install on SATA HDD on ALIX 2d13



  • 57 views and no single response…any way to roll back to 2.0.0 ?


  • Rebel Alliance Developer Netgate

    There is nothing on system.inc line 2 that would output anything. It's possible the file is corrupt, at which point I would suspect your storage is flaking out.

    There is no SATA connector on an ALIX, only CF and in some boards, a laptop IDE connector. Are you using some sort of adapter?



  • @jimp:

    There is nothing on system.inc line 2 that would output anything. It's possible the file is corrupt, at which point I would suspect your storage is flaking out.

    There is no SATA connector on an ALIX, only CF and in some boards, a laptop IDE connector. Are you using some sort of adapter?

    Hi Jimp

    Yes I do, it is IDE to SATA converter. Connected with SATA 2,5 HDD. Never had any problems on earlier versions.
    Is any way to overwrite corrupted file somehow?

    Found something like this, is his can be a reason ?
    ad0: 152627MB <hitachi hts545016b9a300="" pbboc61j="">at ata0-master PIO4
    GEOM: ad0s1: geometry does not match label (255h,63s != 16h,63s).</hitachi>


  • Rebel Alliance Developer Netgate

    You could re-apply a firmware update, or grab a clean copy of a file from github, but if a file was corrupted, the storage can't be trusted.

    I'd suspect the adapter more than anything. Also make sure DMA is off (check the doc wiki)


Locked